Changeset b1a3d7c in rtems-testing


Ignore:
Timestamp:
Aug 4, 2010, 2:01:52 PM (9 years ago)
Author:
Joel Sherrill <joel.sherrill@…>
Branches:
4.11, 8895273c193787f84c4585a10f6d6aceb3b25dc4
Children:
17e6cff
Parents:
5d8ffa7
Message:

2010-08-04 Vinu Rajashekhar <vinutheraj@…>

  • do_one, rundeja: Add support for libgo testing.
  • rtems_libgo_init.c: New file.
Location:
gcc
Files:
1 added
3 edited

Legend:

Unmodified
Added
Removed
  • gcc/ChangeLog

    r5d8ffa7 rb1a3d7c  
     12010-08-04      Vinu Rajashekhar <vinutheraj@gmail.com>
     2
     3        * do_one, rundeja: Add support for libgo testing.
     4        * rtems_libgo_init.c: New file.
     5
    162010-07-22      Vinu Rajashekhar <vinutheraj@gmail.com>
    27
  • gcc/do_one

    r5d8ffa7 rb1a3d7c  
    5151run_acats=no
    5252run_gccgotests=no
     53run_libgotests=no
    5354# Do we send email to gcc-testresults with the test results?
    5455do_mail=yes
     
    7879  -M - do NOT email test results to gcc-testresults
    7980  -o - run GCC Go tests
     81  -t - run libgo tests
    8082EOF
    8183}
     
    9698}
    9799
    98 while getopts bdDnv1cmargioCATMG OPT
     100while getopts bdDnv1cmargiotCATMG OPT
    99101do
    100102    case "$OPT" in
     
    106108           do_ada="yes"
    107109           do_gccgo="yes"
     110           do_gccgo_multilib="yes"
    108111           do_rtems="yes"
    109112           ;;
     
    133136        M) do_mail=`toggle ${do_mail}` ;;
    134137        o) run_gccgotests=`toggle ${run_gccgotests}` ;;
     138        t) run_libgotests=`toggle ${run_libgotests}` ;;
    135139        *) fatal ;;
    136140    esac
     
    173177  echo "Run ACATS     : " ${run_acats}
    174178  echo "Run Go Tests  : " ${run_gccgotests}
     179  echo "Do libgo Tests: " ${run_libgotests}
    175180  echo "Email Tests   : " ${do_mail}
    176181  echo "Native GCC    : " `type gcc`
     
    720725
    721726  if [ ${do_mail} = "yes" ] ; then
    722     echo Sending test results to GCC community..
     727    echo Sending Go test results to GCC community..
    723728    ${DIR}/contrib/test_summary -m gcc-testresults@gcc.gnu.org | sh
    724729    if [ $? -ne 0 ] ; then
    725       echo "Failed to email GCC Test Results to GCC Community .. bailing"
     730      echo "Failed to email GCC Go Test Results to GCC Community .. bailing"
    726731      exit 1
    727732    fi
    728733
    729     echo Sending test results to RTEMS community..
     734    echo Sending Go test results to RTEMS community..
    730735    ${GCCDIR}/contrib/test_summary -o -m rtems-tooltestresults@rtems.org | sh
    731736    if [ $? -ne 0 ] ; then
    732       echo "Failed to email GCC Test Results to RTEMS Community .. bailing"
     737      echo "Failed to email GCC GO Test Results to RTEMS Community .. bailing"
    733738      exit 1
    734739    fi
     
    739744fi
    740745
     746##### Do the libgo tests
     747if [ ${run_libgotests} = "yes" ] ; then
     748  echo "Running libgo DejaGNU tests..."
     749  cd ${BASEDIR}/b-gccgo1-${cpu} || exit 1
     750  time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} libgo \
     751    >${LOGDIR}/${cpu}-libgotests-${bsp}.log 2>&1
     752
     753  RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
     754  mkdir -p ${RDIR}
     755  cp ${TARGET}-${bsp}/libgo/testsuite/libgo-all.log \
     756    ${TARGET}-${bsp}/libgo/testsuite/libgo-all.sum ${RDIR}
     757else
     758  echo Skipping libgo DejaGNU tests for ${cpu}/${bsp}
     759fi
     760
    741761if [ ${do_gccgo} = "yes" ] ; then
    742762  test ${do_cleanup} = "yes" && rm -rf b-gccgo1-${cpu}
  • gcc/rundeja

    r5d8ffa7 rb1a3d7c  
    112112fi
    113113
    114 if [ $2 = gccgo ] ; then
     114if [ $2 = libgo ] ; then
     115  rtems_libgo_init=${SCRIPTDIR}/gcc/rtems_libgo_init.c
     116  rtems_bin2c=${INSTALL}/bin/rtems-bin2c
     117  make check-target-libgo RUNTESTFLAGS="\
     118  SIM=${BSP_SIM} \
     119  RTEMS_MAKEFILE_PATH=${rtemsdir} \
     120  RTEMS_LIBGO_INIT=${rtems_libgo_init} \
     121  RTEMS_BIN2C=${rtems_bin2c} \
     122  RTEMS_CONFIG_OBJ= \
     123  --target_board=rtems-${CPU}-${DEJABSP} \
     124  "
     125elif [ $2 = gccgo ] ; then
    115126  RTEMS_MAKEFILE_PATH=${rtemsdir} \
    116127  SCRIPTDIR=${SCRIPTDIR} \
Note: See TracChangeset for help on using the changeset viewer.